Debian Bug report logs - #467831
libdbix-abstract-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libdbix-abstract-perl; Maintainer for libdbix-abstract-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdbix-abstract-perl is src:libdbix-abstract-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:21:13 UTC

Severity: important

Tags: patch

Found in version libdbix-abstract-perl/1.006-1

Fixed in version libdbix-abstract-perl/1.006-1.1

Done: Marc 'HE' Brockschmidt <he@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Gerfried Fuchs <alfie@debian.org>:
Bug#467831; Package libdbix-abstract-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libdbix-abstract-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:14 +0200
Package: libdbix-abstract-perl
Version: 1.006-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#467831; Package libdbix-abstract-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #10 received at 467831@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467831@bugs.debian.org
Subject: libdbix-abstract-perl: diff for NMU version 1.006-1.1
Date: Sun, 6 Apr 2008 11:38:59 +0100
[Message part 1 (text/plain, inline)]
tags 467831 + patch
thanks

Hi,

Attached is the diff for my libdbix-abstract-perl 1.006-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libdbix-abstract-perl-1.006-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2008 10:42:04 GMT) Full text and rfc822 format available.

Reply sent to Marc 'HE' Brockschmidt <he@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467831-close@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@debian.org>
To: 467831-close@bugs.debian.org
Subject: Bug#467831: fixed in libdbix-abstract-perl 1.006-1.1
Date: Sun, 06 Apr 2008 10:32:12 +0000
Source: libdbix-abstract-perl
Source-Version: 1.006-1.1

We believe that the bug you reported is fixed in the latest version of
libdbix-abstract-perl, which is due to be installed in the Debian FTP archive:

libdbix-abstract-perl_1.006-1.1.diff.gz
  to pool/main/libd/libdbix-abstract-perl/libdbix-abstract-perl_1.006-1.1.diff.gz
libdbix-abstract-perl_1.006-1.1.dsc
  to pool/main/libd/libdbix-abstract-perl/libdbix-abstract-perl_1.006-1.1.dsc
libdbix-abstract-perl_1.006-1.1_all.deb
  to pool/main/libd/libdbix-abstract-perl/libdbix-abstract-perl_1.006-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc 'HE' Brockschmidt <he@debian.org> (supplier of updated libdbix-abstract-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 12:22:28 +0200
Source: libdbix-abstract-perl
Binary: libdbix-abstract-perl
Architecture: source all
Version: 1.006-1.1
Distribution: unstable
Urgency: low
Maintainer: Gerfried Fuchs <alfie@debian.org>
Changed-By: Marc 'HE' Brockschmidt <he@debian.org>
Description: 
 libdbix-abstract-perl - DBI SQL abstraction
Closes: 467831
Changes: 
 libdbix-abstract-perl (1.006-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/rules: Don't fail when perl is smart enough not to create
     empty dirs. (Closes: 467831)
Files: 
 11121f741ea5a6070a3195b602ea7db0 623 perl optional libdbix-abstract-perl_1.006-1.1.dsc
 3991848e8c6106a2ba364cb22f98c4a3 2667 perl optional libdbix-abstract-perl_1.006-1.1.diff.gz
 d4f1cd98065df9c7a5578c5c4ee5cfb2 27206 perl optional libdbix-abstract-perl_1.006-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+KT5mO5zOp3h7rERAtk9AKCKq4zxiOuz+C+wuKIEqV4hjF8CIwCeJEhZ
W/4k8fvgXByvci2CrxiZwSU=
=S0V5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:49:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:33:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.